Strony internetowe
GET https://trackweb.eu/api/websites/
curl --request GET \
--url 'https://trackweb.eu/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trackweb.eu/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| page | Opcjonalne Liczba całkowita | Numer strony, z której chcesz otrzymać wyniki. Domyślnie 1 |
| results_per_page | Opcjonalne Liczba całkowita | Ile wyników chcesz na stronę. Dozwolone wartości to: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Domyślnie 25 |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-05-23 19:02:23",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://trackweb.eu/api/websites?page=1",
"last": "https://trackweb.eu/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://trackweb.eu/api/websites?page=1"
}
}
GET https://trackweb.eu/api/websites/{website_id}
curl --request GET \
--url 'https://trackweb.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trackweb.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-05-23 19:02:23",
"last_datetime": null
}
}
POST https://trackweb.eu/api/websites
| Parametry | Szczegóły | Opis |
|---|---|---|
| domain_id | Opcjonalne Liczba całkowita | - |
| name | Wymagane Ciąg | - |
| scheme | Opcjonalne Ciąg | Dozwolone wartości: http://, https:// |
| host | Wymagane Ciąg | Host i ścieżka strony internetowej. Przykład: https://example.com/path |
| tracking_type | Opcjonalne Ciąg | Dozwolone wartości: lightweight, normal |
| excluded_ips | Opcjonalne Ciąg | Wyklucz adresy IP z monitorowania. Wprowadź wartości oddzielone przecinkami |
| outbound_clicks_is_enabled | Opcjonalne Logiczny | |
| events_children_is_enabled | Opcjonalne Logiczny | Śledź zdarzenia odwiedzających (kliknięcia myszą, zmiany rozmiaru, przewijanie, wysyłanie formularzy). Dozwolone wartości to: 0 lub 1. Dostępne tylko dla typu śledzenia normal |
| sessions_replays_is_enabled | Opcjonalne Logiczny | Odtwarzanie sesji. Dozwolone wartości to: 0 lub 1. Dostępne tylko dla typu śledzenia normal |
| sessions_replays_hide_text_selector | Opcjonalne Ciąg | |
| email_reports_is_enabled | Opcjonalne Logiczny | Raporty e-mailowe. Dozwolone wartości to: 0 lub 1 |
| query_parameters_tracking_is_enabled | Opcjonalne Logiczny | - |
| bot_exclusion_is_enabled | Opcjonalne Logiczny | - |
| public_statistics_is_enabled | Opcjonalne Logiczny | - |
| public_statistics_password | Opcjonalne Ciąg | - |
| is_enabled | Opcjonalne Logiczny | - |
curl --request POST \
--url 'https://trackweb.eu/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://trackweb.eu/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://trackweb.eu/api/websites/{website_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| domain_id | Opcjonalne Liczba całkowita | - |
| name | Opcjonalne Ciąg | - |
| scheme | Opcjonalne Ciąg | Dozwolone wartości: http://, https:// |
| host | Opcjonalne Ciąg | Host i ścieżka strony internetowej. Przykład: https://example.com/path |
| excluded_ips | Opcjonalne Ciąg | Wyklucz adresy IP z monitorowania. Wprowadź wartości oddzielone przecinkami |
| outbound_clicks_is_enabled | Opcjonalne Logiczny | |
| events_children_is_enabled | Opcjonalne Logiczny | Śledź zdarzenia odwiedzających (kliknięcia myszą, zmiany rozmiaru, przewijanie, wysyłanie formularzy). Dozwolone wartości to: 0 lub 1. Dostępne tylko dla typu śledzenia normal |
| sessions_replays_is_enabled | Opcjonalne Logiczny | Odtwarzanie sesji. Dozwolone wartości to: 0 lub 1. Dostępne tylko dla typu śledzenia normal |
| sessions_replays_hide_text_selector | Opcjonalne Ciąg | |
| email_reports_is_enabled | Opcjonalne Logiczny | Raporty e-mailowe. Dozwolone wartości to: 0 lub 1 |
| query_parameters_tracking_is_enabled | Opcjonalne Logiczny | - |
| bot_exclusion_is_enabled | Opcjonalne Logiczny | - |
| public_statistics_is_enabled | Opcjonalne Logiczny | - |
| public_statistics_password | Opcjonalne Ciąg | - |
| is_enabled | Opcjonalne Logiczny | - |
curl --request POST \
--url 'https://trackweb.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://trackweb.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://trackweb.eu/api/websites/{website_id}
curl --request DELETE \
--url 'https://trackweb.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://trackweb.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \